{% extends 'base.html.twig' %}


{% block body %}

<div class="col-lg-12 table-responsive">


    <div class="col-lg-12">
        <h3>Liste Etudiants :</h3>
        <div class="col-lg-12">
            <a class="btn btn-primary fa-pull-right" style="margin-bottom: 10px;" href="{{ path('student_new') }}">
                <i class="fa fa-plus-square"></i> Ajouter un Etudiant
            </a>
            {% include 'SuperAdminBundle:Etudiants:ImportStudents.html.twig' %}
            <a class="btn btn-danger pull-right" data-toggle="modal" data-target="#deleteStudents" style="color: white; margin-right: 5px"><i class="icon ion-md-trash"></i>  Supprimer etudinats</a>

            <form action="{{ path('delete_students') }}" method="get" name="deleteForm">


                <div class="modal fade" id="deleteStudents" tabindex="-1" role="dialog" aria-labelledby="deleteAdmin" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel">Etes-vous sûr que vous voulez supprimer?</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>

                                <button type="submit" value="Supprimer etudinats" class="btn btn-danger pull-right" style=" margin-right: 5px">
                                    Supprimer
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
        </div>

    </div>
    <table class="table table-striped table-rounded-radius"  >
        <thead>
        <tr align="center">
            <th>
                <div class="checkbox">
                    <input name="" type="checkbox" id="checkAll">
                    <label for="checkbox"></label>
                </div>
            </th>
            <th>Actions</th>
            <th>Nom</th>
            <th>Prénom</th>
            <th>Email</th>
            <th>Etat</th>
        </tr>
        </thead>
        <tbody>
        {% if users is empty %}
        <tr>
            <td colspan="7">
                <p>Il y a pas des données</p>
            </td>
        </tr>
        {% else %}
            {% for user in users %}
                <tr >
                    <td width="4%" style="vertical-align: middle;" align="center">
                        <div class="checkbox">
                            <input id="checkbox{{ user.id }}" class="check" name="Etudiants[]" value="{{ user.id }}" type="checkbox">
                            <label for="checkbox{{ user.id }}"></label>
                        </div>
                    </td>
                    <td width="13%">
                        <a class="btn btn-danger" data-toggle="modal" data-target="#deleteAdmin{{ user.id }}" style="color: white"><i class="icon ion-md-trash"></i></a>
                        {{ render(controller("SuperAdminBundle:GestionTuteur:show",{ 'id': user.id })) }}
                        <a class="btn btn-warning" href="{{ path('student_edit', { 'id': user.id }) }}" style="color: white"><i class="fa fa-edit"></i></a>
                        {% if user.enabled == true %}
                            <a class="btn btn-outline-danger" href="{{ path('student_deactivate', { 'id': user.id }) }}"><i class="fa fa-times-circle"></i></a>
                        {% else %}
                            <a class="btn btn-outline-success" href="{{ path('student_activate', { 'id': user.id }) }}"><i class="fa fa-check-circle"></i></a>
                        {% endif %}
                    </td>
                    <td align="center">{{ user.lastName }}</td>
                    <td align="center">{{ user.firstName }}</td>
                    <td align="center">{{ user.email }}</td>
                    <td align="center">
                        {% if user.enabled == true %}
                            <span class="badge badge-success">Activée</span>
                        {% else %}
                            <span class="badge badge-danger">Désactivée</span>
                        {% endif %}
                    </td>

                </tr>
                <div class="modal fade" id="deleteAdmin{{ user.id }}" tabindex="-1" role="dialog" aria-labelledby="deleteAdmin" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel">Etes-vous sûr que vous voulez supprimer?</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                                <a  class="btn btn-danger" href="{{ path('delete_student', { 'id': user.id }) }}" >Supprimer</a>
                            </div>
                        </div>
                    </div>
                </div>

            {% endfor %}
        {% endif %}
        </tbody>
    </table>

    <nav class="navigation align-content-center">
        {{ knp_pagination_render(users) }}
    </nav>
    </form>
</div>

{% endblock %}

{% block javascripts %}

   {{ parent() }}

    <script>
        $("#checkAll").click(function () {
            $(".check").prop('checked', $(this).prop('checked'));
        });
    </script>
{% endblock %}